"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetType = void 0;
var react_1 = __importDefault(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var AssetType;
(function (AssetType) {
    AssetType[AssetType["IMAGE"] = 0] = "IMAGE";
    AssetType[AssetType["LOGO"] = 1] = "LOGO";
    AssetType[AssetType["URL"] = 2] = "URL";
    // add more attributes here based on the assets folder under /public
})(AssetType = exports.AssetType || (exports.AssetType = {}));
var Img = styled_components_1.default.img(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
var getPrefix = function (assetType) {
    switch (assetType) {
        case AssetType.IMAGE:
            return "./../assets/images/";
        case AssetType.LOGO:
            return "./../assets/logos/";
        case AssetType.URL:
            return "";
        default:
            return "./../assets/";
    }
};
var MyImage = function (_a) {
    var source = _a.source, style = _a.style, assetType = _a.assetType, otherProps = __rest(_a, ["source", "style", "assetType"]);
    var src = "" + getPrefix(assetType) + source;
    return <Img style={style} src={src} {...otherProps}/>;
};
exports.default = MyImage;
var templateObject_1;
