"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalStyle = exports.__ALERTS = exports.__GRAY_SCALE = exports.SPACING = exports.GUTTER = exports.__COLORS = exports.MainTheme = void 0;
var styled_components_1 = require("styled-components");
exports.MainTheme = {
    fontFamily: "Roboto, sans-serif",
    googleUrl: "https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;500;700;900&display=swap"
};
// Colors Palette https://colorhunt.co/
var __COLORS;
(function (__COLORS) {
    __COLORS["CTA"] = "#e94560";
    __COLORS["TEXT"] = "#16213e";
    __COLORS["PRIMARY"] = "#0f3460";
    __COLORS["BLACK"] = "#000";
    __COLORS["WHITE"] = "#fff";
})(__COLORS = exports.__COLORS || (exports.__COLORS = {}));
exports.GUTTER = 15;
exports.SPACING = 8;
var __GRAY_SCALE;
(function (__GRAY_SCALE) {
    __GRAY_SCALE["_WHITE"] = "#fff";
    __GRAY_SCALE["_100"] = "#f6f9fc";
    __GRAY_SCALE["_200"] = "#e9ecef";
    __GRAY_SCALE["_300"] = "#dee2e6";
    __GRAY_SCALE["_400"] = "#ced4da";
    __GRAY_SCALE["_500"] = "#adb5bd";
    __GRAY_SCALE["_600"] = "#8898aa";
    __GRAY_SCALE["_700"] = "#525f7f";
    __GRAY_SCALE["_800"] = "#32325d";
    __GRAY_SCALE["_900"] = "#212529";
    __GRAY_SCALE["_BLACK"] = "#000";
})(__GRAY_SCALE = exports.__GRAY_SCALE || (exports.__GRAY_SCALE = {}));
var __ALERTS;
(function (__ALERTS) {
    __ALERTS["INFO"] = "#11cdef";
    __ALERTS["SUCCESS"] = "#2ece89";
    __ALERTS["WARNING"] = "#fb6240";
    __ALERTS["ERROR"] = "#f5365c";
})(__ALERTS = exports.__ALERTS || (exports.__ALERTS = {}));
// You can either import a Google Font: https://fonts.google.com
// Or declare a custom font: https://tinyurl.com/y6omstqa
// eslint-disable-next-line no-unexpected-multiline
exports.GlobalStyle = styled_components_1.createGlobalStyle(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  @import url(", ");\n  *, ::after, ::before {\n    box-sizing: border-box;\n  }\n  *, :after, :before {\n    box-sizing: border-box;\n}\n  html {\n    font-family: ", ";\n  }\n  body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,form,fieldset,input,textarea,p,blockquote,th,td { \n    margin: 0;\n  }\n  html,body {\n    margin: 0;\n  }\n  body {\n    line-height: 1.5;\n  }\n  html, body, div, span, applet, object, iframe,\n  h1, h2, h3, h4, h5, h6, p, blockquote, pre,\n  a, abbr, acronym, address, big, cite, code,\n  del, dfn, em, img, ins, kbd, q, s, samp,\n  small, strike, strong, sub, sup, tt, var,\n  b, u, i, center,\n  dl, dt, dd, ol, ul, li,\n  fieldset, form, label, legend,\n  table, caption, tbody, tfoot, thead, tr, th, td,\n  article, aside, canvas, details, embed, \n  figure, figcaption, footer, header, hgroup, \n  menu, nav, output, ruby, section, summary,\n  time, mark, audio, video {\n    color: ", ";\n  }\n  /* HTML5 display-role reset for older browsers */\n  article, aside, details, figcaption, figure, \n  footer, header, hgroup, menu, nav, section {\n    display: block;\n  }\n  \n  ol, ul {\n    list-style: none;\n  }\n  \n  blockquote, \n  q {\n    quotes: none;\n  }\n  \n  blockquote:before, blockquote:after,\n  q:before, q:after {\n    content: \" \";\n  }\n  table {\n    border-collapse: collapse;\n    border-spacing: 0;\n  }\n"], ["\n  @import url(", ");\n  *, ::after, ::before {\n    box-sizing: border-box;\n  }\n  *, :after, :before {\n    box-sizing: border-box;\n}\n  html {\n    font-family: ", ";\n  }\n  body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,form,fieldset,input,textarea,p,blockquote,th,td { \n    margin: 0;\n  }\n  html,body {\n    margin: 0;\n  }\n  body {\n    line-height: 1.5;\n  }\n  html, body, div, span, applet, object, iframe,\n  h1, h2, h3, h4, h5, h6, p, blockquote, pre,\n  a, abbr, acronym, address, big, cite, code,\n  del, dfn, em, img, ins, kbd, q, s, samp,\n  small, strike, strong, sub, sup, tt, var,\n  b, u, i, center,\n  dl, dt, dd, ol, ul, li,\n  fieldset, form, label, legend,\n  table, caption, tbody, tfoot, thead, tr, th, td,\n  article, aside, canvas, details, embed, \n  figure, figcaption, footer, header, hgroup, \n  menu, nav, output, ruby, section, summary,\n  time, mark, audio, video {\n    color: ", ";\n  }\n  /* HTML5 display-role reset for older browsers */\n  article, aside, details, figcaption, figure, \n  footer, header, hgroup, menu, nav, section {\n    display: block;\n  }\n  \n  ol, ul {\n    list-style: none;\n  }\n  \n  blockquote, \n  q {\n    quotes: none;\n  }\n  \n  blockquote:before, blockquote:after,\n  q:before, q:after {\n    content: \" \";\n  }\n  table {\n    border-collapse: collapse;\n    border-spacing: 0;\n  }\n"])), exports.MainTheme.googleUrl, function (p) { return p.theme.fontFamily; }, __COLORS.TEXT);
var templateObject_1;
